<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="炼钢产线排产基础参数">

	<query id="FrmPlnBasePlineLg.query" desc="查询">
             <![CDATA[
    SELECT 
       T.PLINE_CODE,
       T.PLINE_NAME,
       T.PROCESS_CODE,
       T.PROCESS_DESC,
       T.EF_MAX_LIFE,
       T.STD_OUT_WT,
       T.EF_WT_LEFT,
       T.OUT_WT_MAX,
       T.OUT_WT_MIN,
       T.EF_AGE_NOW,
       T.EF_RESET_MAN,
       TO_CHAR(T.EF_RESET_TIME, 'YYYY-MM-DD HH24:MI:SS') EF_RESET_TIME,
       T.SCHEDULE_CODE,
       TO_CHAR(T.CREAT_TIME, 'YYYY-MM-DD HH24:MI:SS') CREAT_TIME,
       T.CREATE_NAME
 FROM PLN_BASE_PLINE_LG T
 ORDER BY T.PLINE_CODE
                 ]]>
	</query>

	<query id="FrmPlnBasePlineLg.add" desc="新增">
             <![CDATA[
  INSERT INTO PLN_BASE_PLINE_LG(
        PLINE_CODE,
        PLINE_NAME,
        PROCESS_CODE,
        PROCESS_DESC,
        EF_MAX_LIFE,
        STD_OUT_WT,
        EF_WT_LEFT,
        OUT_WT_MAX,
        OUT_WT_MIN,
        EF_AGE_NOW,
        EF_RESET_MAN,
        EF_RESET_TIME,
        SCHEDULE_CODE,
        CREAT_TIME,
        CREATE_NAME)
 VALUES( 
        ?,
       ?,
       ?,
        ?,
        ?,
       ?,
        ?,
        ?,
       ?,
        ?,
        NULL,
        NULL,
       ?,
        SYSDATE,
       ?)
                 ]]>
	</query>


	<query id="FrmPlnBasePlineLg.update" desc="修改">
             <![CDATA[
 UPDATE PLN_BASE_PLINE_LG T
   SET 
        T.PROCESS_CODE =?,
        T.PROCESS_DESC =?,
        T.EF_MAX_LIFE =?,
        T.STD_OUT_WT =?,
        T.EF_WT_LEFT =?,
        T.OUT_WT_MAX = ?,
        T.OUT_WT_MIN = ?,
        T.EF_AGE_NOW =?,
        T.EF_RESET_MAN =?,
        T.EF_RESET_TIME = SYSDATE,
        T.SCHEDULE_CODE =?
 WHERE
T.PLINE_CODE =?
                 ]]>
	</query>

	<query id="FrmPlnBasePlineLg.delete" desc="删除">
             <![CDATA[
           DELETE FROM PLN_BASE_PLINE_LG T WHERE T.PLINE_CODE=?
                 ]]>
	</query>

	<query id="FrmPlnBasePlineLg.checkPline" desc=" 验证产线">
             <![CDATA[
           SELECT count(1)  count FROM PLN_BASE_PLINE_LG T WHERE T.PLINE_CODE=?
                 ]]>
	</query>


</queryMap>